[
    {
        "code": -42803,
        "message": "Apple FairPlay Streaming offline key is invalid.",
        "note": "Offline key is invalid."
    },
    {
        "code": -42800,
        "message": "Apple FairPlay Streaming persistent key has expired. Request a new persistent key from the server.",
        "note": "Apple FairPlay Streaming returns this error code when persistent key has expired. The server always has an option to add a validity period for each key it issues for offline playback. Once the validity period is over, the Apple device will refuse to decrypt offline content protected with such key and indicate the error with this error code. It is up to the application developers to decide whether to request a new key from the server or treat this error condition as a permanent expiry; for example, a recorded sporting event must not be playable after 48 hours and no key renewal is possible. To use the best practice and achieve maximum flexibility, always send a key-renewal request to the server and let the server decide whether to allow the renewal."
    },
    {
        "code": -42799,
        "message": "Apple FairPlay Streaming persistent key format is no longer supported due to security update. Request a new persistent key from the server.",
        "note": "Apple FairPlay Streaming returns this error code when Apple issues a security update and the existing persistent key format is no longer supported. In this case, the application must request a new persistent key from the server."
    },
    {
        "code": -42783,
        "message": "Apple FairPlay Streaming certificate is not valid and is possibly revoked.",
        "note": "The certificate supplied for SPC is not valid and is possibly revoked."
    },
    {
        "code": -42681,
        "message": "Apple FairPlay Streaming version list is not valid.",
        "note": "The version list supplied to SPC creation is not valid."
    },
    {
        "code": -42679,
        "message": "Apple FairPlay Streaming certificate is not valid.",
        "note": "The certificate supplied for SPC creation is not valid."
    },
    {
        "code": -42676,
        "message": "An error occurred during Apple FairPlay Streaming Server Playback Context creation.",
        "note": "An error occurred during SPC creation."
    },
    {
        "code": -42675,
        "message": "Apple FairPlay Streaming assetID supplied is not valid.",
        "note": "The assetID supplied to SPC creation is not valid."
    },
    {
        "code": -42674,
        "message": "Apple FairPlay Streaming version list is not supplied.",
        "note": "Version list is not supplied when creating an SPC."
    },
    {
        "code": -42673,
        "message": "Apple FairPlay Streaming assetId is not supplied.",
        "note": "assetId is not supplied when creating an SPC."
    },
    {
        "code": -42672,
        "message": "Apple FairPlay Streaming certificate is not supplied.",
        "note": "A certificate is not supplied when creating SPC."
    },
    {
        "code": -42668,
        "message": "Apple FairPlay Streaming Content Key Context passed in for processing is not valid.",
        "note": "The CKC passed in for processing is not valid."
    },
    {
        "code": -42656,
        "message": "Apple FairPlay Streaming lease duration has expired.",
        "note": "Lease duration has expired."
    },
    {
        "code": -16850,
        "message": "Server error. HTTP status code 504: Gateway Timeout."
    },
    {
        "code": -16849,
        "message": "Server error. HTTP status code 503: Service Unavailable."
    },
    {
        "code": -16848,
        "message": "Server error. HTTP status code 502: Bad Gateway."
    },
    {
        "code": -16847,
        "message": "Server error. HTTP status code 500: Internal Server Error."
    },
    {
        "code": -16846,
        "message": "Server error. Received HTTP status code within 500-599.",
        "note": "Was observed when testing HTTP status codes 501, 505, 506."
    },
    {
        "code": -16845,
        "message": "Networking error. Received HTTP status code within 400-499.",
        "note": "Was observed when testing HTTP status codes 400, 402 and 405."
    },
    {
        "code": -16840,
        "message": "Networking error. Received HTTP status code 401: Unauthorized."
    },
    {
        "code": -16839,
        "message": "Manifest request timed out.",
        "note": "Unable to get playlist before long download timer. Manifest requests took too long or timed out. Manually forcing manifest requests to timeout resulted in this error."
    },
    {
        "code": -15491,
        "message": "Allocation of internal data structure failed.",
        "note": "kCMMemoryPoolError_InvalidParameter."
    },
    {
        "code": -15490,
        "message": "Invalid or NULL API parameter received.",
        "note": "kCMMemoryPoolError_AllocationFailed."
    },
    {
        "code": -12971,
        "message": "Failed to parse segment as either an MPEG-2 TS or an ES."
    },
    {
        "code": -12939,
        "message": "Server misconfiguration or byte range length mismatch."
    },
    {
        "code": -12938,
        "message": "Networking Error. Received HTTP status code 404: File Not Found."
    },
    {
        "code": -12937,
        "message": "Authentication Error."
    },
    {
        "code": -12913,
        "message": "Decoder temporarily unavailable.",
        "note": "kVTVideoDecoderNotAvailableNowErr"
    },
    {
        "code": -12911,
        "message": "Decoder malfunction.",
        "note": "kVTVideoDecoderMalfunctionErr"
    },
    {
        "code": -12903,
        "message": "CMSampleBufferRef decompression error."
    },
    {
        "code": -12889,
        "message": "Segment request timed out.",
        "note": "Manually forcing segment requests to timeout resulted in this error"
    },
    {
        "code": -12875,
        "message": "Request timed out.",
        "note": "Indicates a request timeout (per https://forums.developer.apple.com/forums/thread/37925).",
        "resources": [
            "https://forums.developer.apple.com/forums/thread/37925"
        ]
    },
    {
        "code": -12848,
        "message": "'moov' atom could not be parsed.",
        "note": "kFigFormatReaderError_ParsingFailure ('moov' atom could not be parsed); Cannot Open."
    },
    {
        "code": -12847,
        "message": "Unsupported media format found."
    },
    {
        "code": -12667,
        "message": "Networking Error. Received HTTP status code within 200-399.",
        "note": "Observed when testing HTTP status codes 201, 202, 203, 204, 205, 300, 301, 303, 305."
    },
    {
        "code": -12666,
        "message": "Unrecognized HTTP response."
    },
    {
        "code": -12661,
        "message": "Server error. HTTP status code 503: Service Unavailable."
    },
    {
        "code": -12660,
        "message": "Networking error. Received HTTP status code 403: Forbidden."
    },
    {
        "code": -12645,
        "message": "Media request timed out."
    },
    {
        "code": -12642,
        "message": "Playlist file unchanged for 2 consecutive reads.",
        "note": "Indicates an error in the HLS playlist."
    },
    {
        "code": -12641,
        "message": "Invalid URL found in manifest.",
        "note": "On iOS 18 this error is reported when there is an invalid URL in the manifest. Ref: https://bitmovin.slack.com/archives/CC5P0DU8M/p1736345964335609 In the test stream at the time there where curly brackets in the segment URLs ({...}) which lead to this error. No requests to those URLs were observed using Charles."
    },
    {
        "code": -12640,
        "message": "Variant URLs changed between consecutive manifest downloads. Consider adding a `STABLE-VARIANT-ID` tag to the renditions.",
        "note": "This error was observed for offline downloads when the variant URLs changed in subsequent multivariant manifest downloads. Ref: https://bitmovin.slack.com/archives/C02J1QFH59U/p1737517632018879"
    },
    {
        "code": -12318,
        "message": "Segment exceeds specified bandwidth for variant."
    },
    {
        "code": -12312,
        "message": "Mismatch between playlists.",
        "note": "Based on this message from an Apple Engineer in the Video Dev Slack channel: https://video-dev.slack.com/archives/C9KPDBRLN/p1734454686950459?thread_ts=1734451654.402599&cid=C9KPDBRLN"
    },
    {
        "code": -12178,
        "note": "Used with AVErrorMediaServicesWereReset"
    },
    {
        "code": -11885,
        "message": "The requested tone mapping failed.",
        "note": "AVErrorToneMappingFailed",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/tonemappingfailed"
        ]
    },
    {
        "code": -11884,
        "message": "The system denied issuing the sandbox extension.",
        "note": "AVErrorSandboxExtensionDenied",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/sandboxextensiondenied"
        ]
    },
    {
        "code": -11883,
        "message": "The system couldn’t encode the media data.",
        "note": "AVErrorEncodeFailed",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/encodefailed"
        ]
    },
    {
        "code": -11882,
        "message": "An AirPlay receiver is temporarily unavailable.",
        "note": "AVErrorAirPlayReceiverTemporarilyUnavailable",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/airplayreceivertemporarilyunavailable"
        ]
    },
    {
        "code": -11881,
        "message": "The system can’t load the requested sample data.",
        "note": "AVErrorFailedToLoadSampleData",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/failedtoloadsampledata"
        ]
    },
    {
        "code": -11880,
        "message": "An invalid sample cursor produced an error.",
        "note": "AVErrorInvalidSampleCursor",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/invalidsamplecursor"
        ]
    },
    {
        "code": -11879,
        "message": "The app canceled a request to retrieve a content key.",
        "note": "AVErrorContentKeyRequestCancelled",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/contentkeyrequestcancelled"
        ]
    },
    {
        "code": -11878,
        "message": "The asset handled a request to cancel loading a property value asynchronously.",
        "note": "AVErrorOperationCancelled",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/operationcancelled"
        ]
    },
    {
        "code": -11877,
        "message": "The system doesn’t have Rosetta installed and can’t perform the requested operation.",
        "note": "AVErrorRosettaNotInstalled",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/rosettanotinstalled"
        ]
    },
    {
        "code": -11876,
        "message": "The operation attempted to write a new MPEG-4 segment that didn’t start with a sync sample.",
        "note": "AVErrorSegmentStartedWithNonSyncSample",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/segmentstartedwithnonsyncsample"
        ]
    },
    {
        "code": -11875,
        "message": "The system is incorrectly configured for the requested operation.",
        "note": "AVErrorIncorrectlyConfigured",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/incorrectlyconfigured"
        ]
    },
    {
        "code": -11873,
        "message": "The capture session doesn’t support the camera device’s active format.",
        "note": "AVErrorUnsupportedDeviceActiveFormat",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/unsupporteddeviceactiveformat"
        ]
    },
    {
        "code": -11872,
        "message": "The app requested too many camera hardware resources.",
        "note": "AVErrorSessionHardwareCostOverage",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/sessionhardwarecostoverage"
        ]
    },
    {
        "code": -11871,
        "message": "The app attempted to perform an unsupported operation for the current preset.",
        "note": "AVErrorOperationNotSupportedForPreset",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/operationnotsupportedforpreset"
        ]
    },
    {
        "code": -11870,
        "message": "The current asset doesn’t support external playback.",
        "note": "AVErrorExternalPlaybackNotSupportedForAsset",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/externalplaybacknotsupportedforasset"
        ]
    },
    {
        "code": -11869,
        "message": "The asset doesn’t contain a source track.",
        "note": "AVErrorNoSourceTrack",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/nosourcetrack"
        ]
    },
    {
        "code": -11868,
        "message": "The system found no compatible external displays.",
        "note": "AVErrorNoCompatibleAlternatesForExternalDisplay",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/nocompatiblealternatesforexternaldisplay"
        ]
    },
    {
        "code": -11865,
        "message": "The depth data isn’t properly structured.",
        "note": "AVErrorMalformedDepth",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/malformeddepth"
        ]
    },
    {
        "code": -11864,
        "message": "The current asset format isn’t supported.",
        "note": "AVErrorFormatUnsupported",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/formatunsupported"
        ]
    },
    {
        "code": -11863,
        "message": "The captured content is unavailable.",
        "note": "AVErrorContentIsUnavailable",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/contentisunavailable"
        ]
    },
    {
        "code": -11862,
        "message": "The requested operation isn’t allowed.",
        "note": "AVErrorOperationNotAllowed",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/operationnotallowed"
        ]
    },
    {
        "code": -11861,
        "message": "The app requested unsupported output settings.",
        "note": "AVErrorUnsupportedOutputSettings",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/unsupportedoutputsettings"
        ]
    },
    {
        "code": -11860,
        "message": "The app couldn’t create a content key request.",
        "note": "AVErrorCreateContentKeyRequestFailed",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/createcontentkeyrequestfailed"
        ]
    },
    {
        "code": -11859,
        "message": "The app attempted to start recording a movie file while an existing recording is underway.",
        "note": "AVErrorRecordingAlreadyInProgress",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/recordingalreadyinprogress"
        ]
    },
    {
        "code": -11858,
        "message": "The compositor couldn’t composite video frames.",
        "note": "AVErrorVideoCompositorFailed",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/videocompositorfailed"
        ]
    },
    {
        "code": -11857,
        "message": "The AirPlay receiver requires an internet connection to function.",
        "note": "AVErrorAirPlayReceiverRequiresInternet",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/airplayreceiverrequiresinternet"
        ]
    },
    {
        "code": -11856,
        "message": "The AirPlay controller requires an internet connection to function.",
        "note": "AVErrorAirPlayControllerRequiresInternet",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/airplaycontrollerrequiresinternet"
        ]
    },
    {
        "code": -11855,
        "message": "The system couldn’t decode the media data.",
        "note": "AVErrorUndecodableMediaData",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/undecodablemediadata"
        ]
    },
    {
        "code": -11850,
        "message": "The configuration of the HTTP server that streams the media resource isn’t correct.",
        "note": "AVErrorServerIncorrectlyConfigured",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/serverincorrectlyconfigured"
        ]
    },
    {
        "code": -11849,
        "message": "The system can’t load the requested media data.",
        "note": "AVErrorFailedToLoadMediaData",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/failedtoloadmediadata"
        ]
    },
    {
        "code": -11848,
        "message": "The media can’t be displayed because the device isn’t capable of playing the content.",
        "note": "AVErrorIncompatibleAsset",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/incompatibleasset"
        ]
    },
    {
        "code": -11847,
        "message": "An interruption occurred while performing a reading or writing operation.",
        "note": "AVErrorOperationInterrupted H.264 decoding layer has failed, Operation Interrupted. See also: https://stackoverflow.com/questions/28841903/why-does-avsamplebufferdisplaylayer-fail-with-operation-interrupted-11847",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/operationinterrupted"
        ]
    },
    {
        "code": -11846,
        "message": "The specified torch level is valid but currently unavailable, possibly due to overheating.",
        "note": "AVErrorTorchLevelUnavailable",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/torchlevelunavailable"
        ]
    },
    {
        "code": -11845,
        "message": "Screen capture failed because the display was inactive.",
        "note": "AVErrorDisplayWasDisabled",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/displaywasdisabled"
        ]
    },
    {
        "code": -11844,
        "message": "An unexpected problem occurred that prevented screen capture.",
        "note": "AVErrorScreenCaptureFailed",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/screencapturefailed"
        ]
    },
    {
        "code": -11843,
        "message": "The path extension of the output URL is invalid.",
        "note": "AVErrorInvalidOutputURLPathExtension",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/invalidoutputurlpathextension"
        ]
    },
    {
        "code": -11842,
        "message": "The current reference restrictions prevent the system from loading referenced media.",
        "note": "AVErrorReferenceForbiddenByReferencePolicy",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/referenceforbiddenbyreferencepolicy"
        ]
    },
    {
        "code": -11841,
        "message": "Failed attempt to present an unsupported video composition.",
        "note": "AVErrorInvalidVideoComposition",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/invalidvideocomposition"
        ]
    },
    {
        "code": -11840,
        "message": "An appropriate encoder isn’t currently available.",
        "note": "AVErrorEncoderTemporarilyUnavailable",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/encodertemporarilyunavailable"
        ]
    },
    {
        "code": -11839,
        "message": "A suitable decoder for the media is temporarily available.",
        "note": "AVErrorDecoderTemporarilyUnavailable",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/decodertemporarilyunavailable"
        ]
    },
    {
        "code": -11838,
        "message": "The app attempted to perform an unsupported operation with the asset.",
        "note": "AVErrorOperationNotSupportedForAsset",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/operationnotsupportedforasset"
        ]
    },
    {
        "code": -11837,
        "message": "Failed attempt to start a capture session in the background, which isn’t allowed in iOS.",
        "note": "AVErrorDeviceIsNotAvailableInBackground",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/deviceisnotavailableinbackground"
        ]
    },
    {
        "code": -11836,
        "message": "The app isn’t authorized to play media. Please ensure SourceConfig.drmConfig is set up correctly.",
        "note": "AVErrorApplicationIsNotAuthorized",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/applicationisnotauthorized"
        ]
    },
    {
        "code": -11835,
        "message": "The user isn’t authorized to play the media. Please ensure SourceConfig.drmConfig is set up correctly.",
        "note": "AVErrorContentIsNotAuthorized",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/contentisnotauthorized"
        ]
    },
    {
        "code": -11834,
        "message": "The requested encoder isn’t found.",
        "note": "AVErrorEncoderNotFound",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/encodernotfound"
        ]
    },
    {
        "code": -11833,
        "message": "The system can’t find a suitable decoder for the media.",
        "note": "AVErrorDecoderNotFound",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/decodernotfound"
        ]
    },
    {
        "code": -11832,
        "message": "No image is available in the media at the indicated time.",
        "note": "AVErrorNoImageAtTime",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/noimageattime"
        ]
    },
    {
        "code": -11831,
        "message": "The app isn’t authorized to open the media. Please ensure SourceConfig.drmConfig is set up correctly.",
        "note": "AVErrorContentIsProtected",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/contentisprotected"
        ]
    },
    {
        "code": -11830,
        "message": "The app can’t take a photo because there are too many unfinished photo capture requests.",
        "note": "AVErrorMaximumStillImageCaptureRequestsExceeded",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/maximumstillimagecapturerequestsexceeded"
        ]
    },
    {
        "code": -11829,
        "message": "The file is corrupt or in an unrecognized format.",
        "note": "AVErrorFileFailedToParse",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/filefailedtoparse"
        ]
    },
    {
        "code": -11828,
        "message": "The system can’t open the file because it’s in an unrecognized format.",
        "note": "AVErrorFileFormatNotRecognized",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/fileformatnotrecognized"
        ]
    },
    {
        "code": -11827,
        "message": "Unable to add the source media because it has no duration.",
        "note": "AVErrorInvalidCompositionTrackSegmentSourceDuration",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/invalidcompositiontracksegmentduration"
        ]
    },
    {
        "code": -11826,
        "message": "Unable to add the source media because its start time in the destination is invalid.",
        "note": "AVErrorInvalidCompositionTrackSegmentSourceStartTime",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/invalidcompositiontracksegmentsourcestarttime"
        ]
    },
    {
        "code": -11825,
        "message": "Unable to add the source media because its duration in the destination is invalid.",
        "note": "AVErrorInvalidCompositionTrackSegmentDuration",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/invalidcompositiontracksegmentduration"
        ]
    },
    {
        "code": -11824,
        "message": "The composition can’t add the source media because it contains gaps.",
        "note": "AVErrorCompositionTrackSegmentsNotContiguous",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/compositiontracksegmentsnotcontiguous"
        ]
    },
    {
        "code": -11823,
        "message": "A file with the same name exists at the location and can’t be overwritten.",
        "note": "AVErrorFileAlreadyExists",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/filealreadyexists"
        ]
    },
    {
        "code": -11822,
        "message": "The system couldn’t read the source media.",
        "note": "AVErrorInvalidSourceMedia",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/invalidsourcemedia"
        ]
    },
    {
        "code": -11821,
        "message": "The system failed to decode the media.",
        "note": "AVErrorDecodeFailed",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/decodefailed"
        ]
    },
    {
        "code": -11820,
        "message": "The requested export operation failed.",
        "note": "AVErrorExportFailed",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/exportfailed"
        ]
    },
    {
        "code": -11819,
        "message": "The system couldn’t perform the operation because media services were unavailable.",
        "note": "AVErrorMediaServicesWereReset",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/mediaserviceswerereset"
        ]
    },
    {
        "code": -11818,
        "message": "The recording stopped because the system interrupted the audio session.",
        "note": "AVErrorSessionWasInterrupted",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/sessionwasinterrupted"
        ]
    },
    {
        "code": -11817,
        "message": "The app can’t change device settings because another process currently controls the device.",
        "note": "AVErrorDeviceLockedForConfigurationByAnotherProcess",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/devicelockedforconfigurationbyanotherprocess"
        ]
    },
    {
        "code": -11815,
        "message": "The app can’t access the device because another app is currently using it.",
        "note": "AVErrorDeviceInUseByAnotherApplication",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/deviceinusebyanotherapplication"
        ]
    },
    {
        "code": -11814,
        "message": "The app can’t access the device because it isn’t connected.",
        "note": "AVErrorDeviceNotConnected",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/devicenotconnected"
        ]
    },
    {
        "code": -11813,
        "message": "The recording stopped because it reached the file’s maximum number of samples.",
        "note": "AVErrorMaximumNumberOfSamplesForFileFormatReached",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/maximumnumberofsamplesforfileformatreached"
        ]
    },
    {
        "code": -11812,
        "message": "Recording stopped because there was an interruption in the input media.",
        "note": "AVErrorMediaDiscontinuity",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/mediadiscontinuity"
        ]
    },
    {
        "code": -11811,
        "message": "The recording stopped because it reached the file’s maximum size.",
        "note": "AVErrorMaximumFileSizeReached",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/maximumfilesizereached"
        ]
    },
    {
        "code": -11810,
        "message": "The recording stopped because it reached the file’s maximum duration.",
        "note": "AVErrorMaximumDurationReached",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/maximumdurationreached"
        ]
    },
    {
        "code": -11809,
        "message": "Recording stopped because the format of the source media changed.",
        "note": "AVErrorMediaChanged",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/mediachanged"
        ]
    },
    {
        "code": -11808,
        "message": "A previously connected device is no longer accessible.",
        "note": "AVErrorDeviceWasDisconnected",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/devicewasdisconnected"
        ]
    },
    {
        "code": -11807,
        "message": "Recording stopped because the disk is full.",
        "note": "AVErrorDiskFull",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/diskfull"
        ]
    },
    {
        "code": -11806,
        "message": "Recording stopped because the configuration of media sources and destinations changed.",
        "note": "AVErrorSessionConfigurationChanged",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/sessionconfigurationchanged"
        ]
    },
    {
        "code": -11805,
        "message": "The recording failed because the system received no data.",
        "note": "AVErrorNoDataCaptured",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/nodatacaptured"
        ]
    },
    {
        "code": -11804,
        "message": "The app can’t access the device because another session is currently using it.",
        "note": "AVErrorDeviceAlreadyUsedByAnotherSession",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/devicealreadyusedbyanothersession"
        ]
    },
    {
        "code": -11803,
        "message": "The recording couldn’t start because the session isn’t running.",
        "note": "AVErrorSessionNotRunning",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/sessionnotrunning"
        ]
    },
    {
        "code": -11801,
        "message": "The operation couldn’t finish because there isn’t enough memory available to process the media.",
        "note": "AVErrorOutOfMemory",
        "resources": [
            "https://developer.apple.com/documentation/avfoundation/averror-swift.struct/code/outofmemory"
        ]
    },
    {
        "code": -11800,
        "note": "AVErrorUnknown"
    },
    {
        "code": -1202,
        "message": "The secure connection failed because the server’s certificate isn’t trusted.",
        "note": "kCFURLErrorServerCertificateUntrusted",
        "resources": [
            "https://developer.apple.com/documentation/cfnetwork/cfnetworkerrors/cfurlerrorservercertificateuntrusted"
        ]
    },
    {
        "code": -1102,
        "message": "Networking error. Received HTTP status code 403: Forbidden.",
        "note": "kCFURLErrorNoPermissionsToReadFile",
        "resources": [
            "https://developer.apple.com/documentation/cfnetwork/cfnetworkerrors/cfurlerrornopermissionstoreadfile"
        ]
    },
    {
        "code": -1100,
        "message": "Networking error. Received HTTP status code 404: File Not Found.",
        "note": "kCFURLErrorFileDoesNotExist",
        "resources": [
            "https://developer.apple.com/documentation/cfnetwork/cfnetworkerrors/cfurlerrorfiledoesnotexist"
        ]
    },
    {
        "code": -1013,
        "message": "Networking error. Received HTTP status code 401: Unauthorized.",
        "note": "kCFURLErrorUserAuthenticationRequired",
        "resources": [
            "https://developer.apple.com/documentation/cfnetwork/cfnetworkerrors/cfurlerroruserauthenticationrequired"
        ]
    },
    {
        "code": -1009,
        "message": "The connection failed because the device isn’t connected to the internet.",
        "note": "kCFURLErrorNotConnectedToInternet",
        "resources": [
            "https://developer.apple.com/documentation/cfnetwork/cfnetworkerrors/cfurlerrornotconnectedtointernet"
        ]
    },
    {
        "code": -1008,
        "message": "Networking error. The requested resource could not be loaded.",
        "note": "kCFURLErrorResourceUnavailable, Observed when testing HTTP status codes 400, 500-510.",
        "resources": [
            "https://developer.apple.com/documentation/cfnetwork/cfnetworkerrors/cfurlerrorresourceunavailable"
        ]
    },
    {
        "code": -1004,
        "message": "The connection failed because a connection can’t be made to the host.",
        "note": "kCFURLErrorCannotConnectToHost",
        "resources": [
            "https://developer.apple.com/documentation/cfnetwork/cfnetworkerrors/cfurlerrorcannotconnecttohost"
        ]
    },
    {
        "code": -1003,
        "message": "The connection failed because the host couldn’t be found.",
        "note": "kCFURLErrorCannotFindHost",
        "resources": [
            "https://developer.apple.com/documentation/cfnetwork/cfnetworkerrors/cfurlerrorcannotfindhost"
        ]
    },
    {
        "code": -1000,
        "message": "The connection failed due to a malformed URL.",
        "note": "kCFURLErrorBadURL",
        "resources": [
            "https://developer.apple.com/documentation/cfnetwork/cfnetworkerrors/cfurlerrorbadurl"
        ]
    },
    {
        "code": -50,
        "message": "AVAudioSession property set to an illegal value.",
        "note": "AVAudioSessionErrorCodeBadParam",
        "resources": [
            "https://developer.apple.com/documentation/avfaudio/avaudiosession/errorcode/badparam"
        ]
    },
    {
        "code": 560557684,
        "message": "Unable to make nonmixable audio session active while the app was in the background.",
        "note": "\"!int\" = AVAudioSessionErrorCodeCannotInterruptOthers",
        "resources": [
            "https://developer.apple.com/documentation/avfaudio/avaudiosession/errorcode/cannotinterruptothers"
        ]
    },
    {
        "code": 1718449215,
        "message": "The data format is not supported by the specified file type.",
        "note": "\"fmt?\" = kAudioFileUnsupportedDataFormatError",
        "resources": [
            "https://developer.apple.com/documentation/audiotoolbox/kaudiofileunsupporteddataformaterror"
        ]
    },
    {
        "code": 1852797029,
        "message": "An illegal audio codec operation was attempted.",
        "note": "\"nope\" = kAudioCodecIllegalOperationError or kAudioFileStreamError_IllegalOperation",
        "resources": [
            "https://developer.apple.com/documentation/audiotoolbox/kaudiocodecillegaloperationerror",
            "https://developer.apple.com/documentation/audiotoolbox/kaudiofilestreamerror_illegaloperation"
        ]
    }
]
